Subject: [PATCH 1/3] ARM: OMAP2+: hwmod: rename flag to prevent hwmod code from touching IP block during init

From: [email-masked] (Sebastien Guiriec)
Date: Fri, 4 Jan 2013 21:52:42 +0100

On 01/04/2013 07:19 PM, Paul Walmsley wrote:
> Hi Sebastien
>
> On Fri, 4 Jan 2013, Sebastien Guiriec wrote:
>
>> Rename HWMOD_EXT_OPT_MAIN_CLK flag to indicate that this IP block is
>> dependent on an off-chip functional clock that is not guaranteed to
>> be present during initialization. Same flag can be use for IP with
>> additional HW registers to control Auto IDLE mode.
>>
>> Signed-off-by: Sebastien Guiriec <[email-masked]>
>
> We already have the HWMOD_NO_INIT_RESET flag.  Wouldn't that accomplish
> the same goal?

I am assuming that it was HWMOD_INIT_NO_RESET flag. This is not solving 
the issue. After boot with this mode some of same clocks are still not 
gated.

>
> Also I think we can reset the AESS during init.  I posted a patch for this
> a few months ago, but looks like it got lost.  Will reply to one of your
> other patches with more details.
>
>
> - Paul
>